Page MenuHomePhabricator

Undeploy and archive Cards extension
Closed, ResolvedPublic

Description

See T137021
It can be undeployed after wmf30.5 (Thur 15th)

Developer notes

T136176 - https://www.mediawiki.org/wiki/Reading/Web/Sunsetting_a_project

Event Timeline

Jdlrobson created this task.Jun 8 2017, 5:17 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 8 2017, 5:17 PM
Jdlrobson renamed this task from Undeploy Cards extension to Undeploy and archive Cards extension.Jun 8 2017, 7:05 PM
Jdlrobson triaged this task as Normal priority.
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)

Change 359044 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[integration/config@master] Remove Cards from CI

https://gerrit.wikimedia.org/r/359044

Change 359045 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[operations/mediawiki-config@master] Remove Cards from the cluster

https://gerrit.wikimedia.org/r/359045

Change 359046 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[translatewiki@master] Remove Cards from translatewiki

https://gerrit.wikimedia.org/r/359046

Change 359048 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Cards@master] Empty for real

https://gerrit.wikimedia.org/r/359048

Jdlrobson updated the task description. (Show Details)Jun 14 2017, 9:11 PM
phuedx added a subscriber: phuedx.Jun 15 2017, 10:10 AM

Also, could we remove mention of the Cards extension from MWV?

MWV? What's that?

MediaWiki Vagrant

Not planning to finish this but am working on this today.

Change 359193 had a related patch set uploaded (by Phuedx; owner: Phuedx):
[mediawiki/vagrant@master] RelatedArticles no longer depends on Cards

https://gerrit.wikimedia.org/r/359193

Change 359046 merged by jenkins-bot:
[translatewiki@master] Remove Cards from translatewiki

https://gerrit.wikimedia.org/r/359046

Jdlrobson updated the task description. (Show Details)Jun 15 2017, 6:09 PM

Change 359044 merged by jenkins-bot:
[integration/config@master] Remove Cards from CI

https://gerrit.wikimedia.org/r/359044

Change 359045 merged by Chad:
[operations/mediawiki-config@master] Remove Cards from the cluster

https://gerrit.wikimedia.org/r/359045

Krinkle updated the task description. (Show Details)Jun 15 2017, 9:08 PM
Jdlrobson updated the task description. (Show Details)Jun 15 2017, 10:23 PM

Change 359193 merged by jenkins-bot:
[mediawiki/vagrant@master] RelatedArticles no longer depends on Cards

https://gerrit.wikimedia.org/r/359193

Jdlrobson added a subscriber: hashar.

Unplanned so dropping out sprint. Good progress has been made.
Am likely to need some help from @hashar with [mediawiki/extensions/Cards@master] Empty for real https://gerrit.wikimedia.org/r/359048 but that can be done async.

The README should contain information that this project is abandoned/archived. Every gerrit repo is mirrored on GitHub - https://github.com/wikimedia/mediawiki-extensions-Cards
After archiving Cards extension the Github repository will stay live as it's still maintained.

We should do one of those two:

  • remove github repo
  • add a comment to README with information that this project is no longer maintained

ok, that sounds good. Thanks for information

Change 359048 merged by Jdlrobson:
[mediawiki/extensions/Cards@master] Empty for real

https://gerrit.wikimedia.org/r/359048

Jdlrobson updated the task description. (Show Details)

It is read only. Can someone double check this is indeed done?

master x ~/git/core/extensions/Cards $ git diff
diff --git a/UNMAINTAINED b/UNMAINTAINED
index 09ab832..f1ffdb6 100644
--- a/UNMAINTAINED
+++ b/UNMAINTAINED
@@ -2,3 +2,4 @@ This extension is no longer maintained.
 If you are using RelatedArticles you can safely remove Cards from your instance.
 RelatedArticles will work without it.
 
+oh!!
master x ~/git/core/extensions/Cards $ git add UNMAINTAINED 
master x ~/git/core/extensions/Cards $ git commit
[master 6108a3c] Test read only
 1 file changed, 1 insertion(+)
master x ~/git/core/extensions/Cards $ git review
remote: Processing changes: refs: 1, done            
To ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/Cards.git
 ! [remote rejected] HEAD -> refs/publish/master (project is read only)
error: failed to push some refs to 'ssh://jdlrobson@gerrit.wikimedia.org:29418/mediawiki/extensions/Cards.git'
phuedx closed this task as Resolved.Jun 22 2017, 10:32 AM
phuedx claimed this task.

It is read only. Can someone double check this is indeed done?

👍

$ touch foo
$ git add foo -m foo
1 file changed, 0 insertions(+), 0 deletions(-)
 create mode 100644 foo
$ git review
remote: Processing changes: refs: 1, done            
To ssh://gerrit.wikimedia.org:29418/mediawiki/extensions/Cards
 ! [remote rejected] HEAD -> refs/publish/master (project is read only)
error: failed to push some refs to 'ssh://phuedx@gerrit.wikimedia.org:29418/mediawiki/extensions/Cards'
mmodell reopened this task as Open.Jun 27 2017, 6:04 PM
mmodell added a subscriber: mmodell.

This extension was not removed from make-wmf-branch config and that's interfering with cutting the new branch.

Jdlrobson added a comment.EditedJun 27 2017, 6:05 PM

@mmodell where's/what's make-wmf-branch ? I can do that now.

I had to re-activate the repo in gerrit to continue with branching. Need to remove the extension from rMREL MediaWiki Release Tools /make-wmf-branch/config.json

Change 361703 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/tools/release@master] Remove Cards from release tools

https://gerrit.wikimedia.org/r/361703

The checklist in this task description is nice, just needs one more step added ;)

Maybe we should create a template task containing that checklist for future un-deploy & archive tasks.

phuedx closed this task as Resolved.Jun 28 2017, 11:17 AM

This is done now, right?

Change 361703 merged by jenkins-bot:
[mediawiki/tools/release@master] Remove Cards from release tools

https://gerrit.wikimedia.org/r/361703

I have marked Cards read-only in Gerrit

Change 367359 had a related patch set uploaded (by Hashar; owner: Hashar):
[mediawiki/extensions@master] Unregister Cards

https://gerrit.wikimedia.org/r/367359

Change 367359 merged by Hashar:
[mediawiki/extensions@master] Unregister Cards

https://gerrit.wikimedia.org/r/367359

Liuxinyu970226 moved this task from Backlog to Archive extensions on the Cleanup board.